pcl::PointXYZHSV Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZHSV:

## Public Member Functions

| PointXYZHSV (const _PointXYZHSV &p)
| PointXYZHSV ()
| PointXYZHSV (float _h, float _v, float _s)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZHSV &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZHSV
| PCL_ADD_POINT4D
union {
struct {
float h
float s
float v
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 704 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZHSV() [1/3]

pcl::PointXYZHSV::PointXYZHSV | ( | const _PointXYZHSV & | p | ) |

inline

Definition at line 706 of file point_types.hpp.

References pcl::_PointXYZHSV::h, pcl::_PointXYZHSV::s, and pcl::_PointXYZHSV::v.

## PointXYZHSV() [2/3]

pcl::PointXYZHSV::PointXYZHSV | ( |  | ) |

inline

Definition at line 712 of file point_types.hpp.

## PointXYZHSV() [3/3]

pcl::PointXYZHSV::PointXYZHSV | ( | float | _h,
|  | float | _v,
|  | float | _s
| ) |  |

inline

Definition at line 718 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZHSV & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp